"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTranslationOptions = void 0;
const _1 = require(".");
function createTranslationOptions(i18n, scope, options) {
    let translationOptions = [{ scope }];
    if (_1.isSet(options.defaults)) {
        translationOptions = translationOptions.concat(options.defaults);
    }
    if (_1.isSet(options.defaultValue)) {
        const message = typeof options.defaultValue === "function"
            ? options.defaultValue(i18n, scope, options)
            : options.defaultValue;
        translationOptions.push({ message });
        delete options.defaultValue;
    }
    return translationOptions;
}
exports.createTranslationOptions = createTranslationOptions;
//# sourceMappingURL=createTranslationOptions.js.map