"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lookup = void 0;
const lodash_1 = require("lodash");
const _1 = require(".");
function lookup(i18n, scope, options = {}) {
    options = Object.assign({}, options);
    const locales = i18n.locales.get(options.locale || i18n.locale).slice();
    scope = _1.getFullScope(i18n, scope, options)
        .split(i18n.defaultSeparator)
        .join(".");
    const entries = locales.map((locale) => lodash_1.get(i18n.translations, [locale, scope].join(".")));
    entries.push(options.defaultValue);
    return entries.find((entry) => _1.isSet(entry));
}
exports.lookup = lookup;
//# sourceMappingURL=lookup.js.map