"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pluralize = void 0;
const _1 = require(".");
function pluralize(i18n, count, scope, options) {
    options = Object.assign({}, options);
    let translations;
    let message;
    if (typeof scope === "object" && scope) {
        translations = scope;
    }
    else {
        translations = _1.lookup(i18n, scope, options);
    }
    if (!translations) {
        return i18n.missingTranslation.get(scope, options);
    }
    const pluralizer = i18n.pluralization.get(options.locale);
    const keys = pluralizer(i18n, count);
    while (keys.length) {
        const key = keys.shift();
        if (_1.isSet(translations[key])) {
            message = translations[key];
            break;
        }
    }
    options.count = count;
    return _1.interpolate(i18n, message, options);
}
exports.pluralize = pluralize;
//# sourceMappingURL=pluralize.js.map